using adas_core.Application.Repositories.Interfaces;
using adas_core.Application.Services.Interfaces;
using adas_core.Domain.Models;
using MongoDB.Bson;

namespace adas_core.Application.Services;

public class ArchivedPatientTreatmentService(ITreatmentArchiveRepository archivedPatientTreatmentService)
    : IArchivedPatientTreatmentService
{
    public async Task<List<PatientTreatment>> FindAllPatientTreatmentsByPatient(ObjectId patientId)
    {
        return await archivedPatientTreatmentService.FindAllFromPatient(patientId);
    }
}